#version 120

uniform sampler2D t0, depth;
uniform vec3 backColor;

void main(void) {
	//gl_FragColor.rgb=vec3(1,1,1);
	if (texture2D(depth, gl_TexCoord[0].xy).x == 1.) {
		gl_FragColor.rgb = backColor;
		return;
	}
	gl_FragColor.rgb = texture2D(t0, gl_TexCoord[0].xy).rgb;
}
